﻿@model IEnumerable<Prep.Models.TestQuestionsSubjects>

@{
    ViewBag.Title = "Subjects";
}
@{
    Layout = null;
}
<h2>Subjects</h2>

<link href="~/Content/AdminPanel.css" rel="stylesheet" />
<title>Subjects</title>

@*<p>
    @Html.ActionLink("Create New", "AddSubjects")
    <a id="AddButton" href="/Admin/AddSubjects"><img src="~/Content/images/AddNewButton.jpg" style="width:100px" /></a>
</p>*@

@Html.Partial("~/Views/Shared/_AdminMenu.cshtml")
<table class="table">
    <tr>
        <th style="display:none">
            Subject Id
        </th>
        <th>
            Subject Name
        </th>
        <th>
            Questions Count
        </th>
        <th><a id="AddButton" href="/Admin/AddSubjects" style="text-align:center;"><img src="/Content/images/plus-304947_960_720.png" style="width:50px;" /></a></th>
    </tr>

@foreach (var item in Model) {
    <tr>
        <td style="display:none">
            @Html.DisplayFor(modelItem => item.TestQuestionsSubjectId)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.TestQuestionsSubject)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.TestSubQuestionCount) 
        </td>
        <td>
            @Html.ActionLink("Edit", "AddSubjects", "Admin", new { SubjectId = item.TestQuestionsSubjectId }, null) |
            @Html.ActionLink("Delete", "DeleteSubject", new { TestQuestionsSubjectId = item.TestQuestionsSubjectId }, new { onclick = "return confirm('Are you sure want to delete?');" })
        </td>
    </tr>
}

</table>
